evp(3)

NAME
evp - high-level cryptographic functions

SYNOPSIS
 #include <openssl/evp.h>

DESCRIPTION
The EVP library provides a high-level interface to cryptographic functions.

EVP_Seal... and EVP_Open... provide public key encryption and decryption to implement digital "envelopes".

The EVP_Sign... and EVP_Verify... functions implement digital signatures.

Symmetric encryption is available with the EVP_Encrypt... functions. The EVP_Digest... functions provide message digests.

Algorithms are loaded with OpenSSL_add_all_algorithms(3).

SEE ALSO
EVP_DigestInit(3), EVP_EncryptInit(3), EVP_OpenInit(3), EVP_SealInit(3), EVP_SignInit(3), EVP_VerifyInit(3), OpenSSL_add_all_algorithms(3)